Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class FactoryInjectorTestCase

    java.lang.Object
      org.picocontainer.injectors.FactoryInjectorTestCase

    public class FactoryInjectorTestCase

extends Object

Nested Class Summary
`static class` | `FactoryInjectorTestCase.OakTree`
`static interface` | `FactoryInjectorTestCase.Swede`
`static interface` | `FactoryInjectorTestCase.Tree`
`static class` | `FactoryInjectorTestCase.Turnip`
`static class` | `FactoryInjectorTestCase.Turnip2`

Constructor Summary
`FactoryInjectorTestCase()`

Method Summary
`void` | `ensureSophistcatedFactorInjectorCaseIsPossible()`
`void` | `testThatComponentCanHaveAProvidedDependency()`
`void` | `testThatComponentCanHaveAProvidedDependencyViaConstructor()`
`void` | `testThatComponentCanHaveAProvidedDependencyViaConstructorADifferentWay()`
`void` | `testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector()`
`void` | `testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector2()`
`void` | `testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector3()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryInjectorTestCase

    public FactoryInjectorTestCase()

Method Detail

### testThatComponentCanHaveAProvidedDependency

    public void testThatComponentCanHaveAProvidedDependency()

### testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector

    public void testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector()

### testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector2

    public void testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector2()

### testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector3

    public void testThatComponentCanHaveAProvidedDependencyWithInlinedFactoryInjector3()

### testThatComponentCanHaveAProvidedDependencyViaConstructor

    public void testThatComponentCanHaveAProvidedDependencyViaConstructor()

### testThatComponentCanHaveAProvidedDependencyViaConstructorADifferentWay

    public void testThatComponentCanHaveAProvidedDependencyViaConstructorADifferentWay()

### ensureSophistcatedFactorInjectorCaseIsPossible

    public void ensureSophistcatedFactorInjectorCaseIsPossible()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.